class iaas::params (

##Global variables
#Network
$public_interface 	= 'eth0',
$admin_interface	= 'eth0',
$data_interface 	= 'eth0',
#Node -- base.pp
$dns_servers		= ['DNS_SERVER1','DNS_SERVER2'],
$dns_searchdomain	= 'searchdomain.localhost',
#Enable only if $public_interface != $external_device1
$public_gateway		= undef,
#External devices
$external_device1 = 'eth0',
$external_device2 = undef,

##CEPH
$ceph_fsid = 'f65809d3-7961-4cd7-b731-a9bc94bc6e9c',
# Uncomment if auth_type is different from 'cephx'
#ceph_authentication_type = 'cephx',
$ceph_mon_initial_members = '<CEPH_MONIM_1>,<CEPH_MONIM_2>,<CEPH_MONIM_3>',
$ceph_mon_host = '<CEPH_MON_1>,<CEPH_MON_2>,<CEPH_MON_3>',
$ceph_osd_pool_default_pg_num = '100',
$ceph_osd_pool_default_pgp_num = '100',
$ceph_osd_pool_default_size = '3',
$ceph_osd_pool_default_min_size = '2',
$ceph_cluster_network = '10.10.98.0/24',
$ceph_public_network = '10.10.98.0/24',
$ceph_osd_journal_size = '2048',

##Openstack general
$verbose = false,
$debug = false,
$region = 'regionOne',
#VIP1
$main_hostname = '<VIP_Hostname_public>', # VIP Hostname (public)
$main_address = '<VIP_IP_public>', # The main virtual address pointing to the load-balancers
#VIP2
$admin_address = '<VIP_IP_private>', # The private virtual address pointing to the load-balancers
#Endpoints
$endpoint_servers = ['<HOSTNAME_SERVER1>', '<HOSTNAME_SERVER2>', '<HOSTNAME_SERVER3>'],

##RabbitMQ
$rabbit_hosts = ['<HOSTNAME_SERVER1>:5672', '<HOSTNAME_SERVER2>:5672', '<HOSTNAME_SERVER3>:5672'],
$rabbit_user = 'openstack',
$rabbit_password = 'openstack',

##DB_params
#Mongo_prams
$mongo_endpoint_coordination = ['<HOSTNAME_SERVER1>:27017','<HOSTNAME_SERVER2>:27017','<HOSTNAME_SERVER3>:27017'],
#MysqlDB
$db_keystone_user = 'keystone',
$db_keystone_password = 'keystone',
$db_glance_user = 'glance',
$db_glance_password = 'glance',
$db_cinder_user = 'cinder',
$db_cinder_password = 'cinder',
$db_nova_user  = 'nova',
$db_nova_password  ='nova',
$db_neutron_user = 'neutron',
$db_neutron_password = 'neutron',
$db_heat_user = 'heat',
$db_heat_password = 'heat',
#MongoDB
$db_ceilometer_user = 'ceilometer',
$db_ceilometer_password = 'ceilometer',

##Memcache
$memcache = ['<HOSTNAME_CONTROLLER1>:11211','<HOSTNAME_CONTROLLER2>:11211'],

##Neutron
$neutron_password = 'neutron',
$neutron_secret = 'neutron',
$neutron_core_plugin = 'ml2',
$neutron_service_plugins = ['router', 'lbaas', 'vpnaas', 'firewall', 'metering'],

##Nova
$nova_password = 'nova',
$nova_default_flotting_pool = 'ext-net',

##Ceilometer
$ceilometer_password = 'ceilometer',
$ceilometer_secret = 'ceilometer',

##Glance
$glance_password = 'glance',

##Cinder
$cinder_password = 'cinder',
$cinder_secret = '5e899071-df68-40d3-b0ea-6ec22b7c12a0',

##Heat
$heat_password = 'heat',
# https://bugs.launchpad.net/heat/+bug/1415887: "AES key must be either 16, 24, or 32 bytes long"
$heat_encryption_key = '12345678912345678912345678912345',

##Horizon
$horizon_secret = 'horizon',

#Controller (da spostare in controller.pp?)
#$admin_token = '<ADMIN_TOKEN>',
#$admin_email = 'admin@mail',
#$admin_password = '<ADMIN_PASSWD>',
#$admin_tenant = 'admin',

){

#

}
