class iaas::role::compute (

##CEPH Secrets override
$ceph_secret_client_admin            = 'AQDgL/hUSC2kLBAAnWJaSiqJG+YMk+XV9sapnw==',
$ceph_secret_client_cinder           = 'AQAvxQpVKJ03KxAADFv78tedrAWZx1SoRdsQUA==',

##CEPH - no override
$fsid = $iaas::params::ceph_fsid,
# Uncomment if auth_type is different from 'cephx'
#authentication_type = $iaas::params::ceph_authentication_type,
$mon_initial_members = $iaas::params::ceph_mon_initial_members,
$mon_host = $iaas::params::ceph_on_host,
$osd_pool_default_pg_num = $iaas::params::ceph_osd_pool_default_pg_num,
$osd_pool_default_pgp_num = $iaas::params::ceph_osd_pool_default_pgp_num,
$osd_pool_default_size = $iaas::params::ceph_osd_pool_default_size,
$osd_pool_default_min_size = $iaas::params::ceph_osd_pool_default_min_size,
$cluster_network = $iaas::params::ceph_cluster_network,
$public_network = $iaas::params::ceph_public_network,
$osd_journal_size = $iaas::params::ceph_osd_journal_size,

#libvirt virt type: kvm or qemu
$libvirt_type = 'kvm',

) {

 ceph::key {
 'client.admin':
    secret => $secret_client_admin,
    cap_mon => 'allow *',
    cap_osd => 'allow *',
    cap_mds => 'allow',
    user => 'root',
    group => 'root',
    mode => '0550';

  'client.cinder':
    secret => $ceph_secret_client_cinder,
    cap_mon => 'allow r',
    cap_osd => 'allow class-read object_prefix rbd_children, allow rwx pool=volumes, allow rwx pool=vms, allow rx pool=images',
    user => 'nova',
    group => 'nova',
    mode => '0550';
 }

# Classes
  class { 'iaas::profile::base': } ->
  class { 'iaas::profile::neutron::client': } ->
  class { 'iaas::profile::nova::compute': 
        libvirt_type => $libvirt_type,
  } ->

#NEW-CEPH
  class {'ceph::profile::params':
        fsid => $fsid,
# Uncomment if auth_type is different from 'cephx'
        #authentication_type => 'cephx',
        mon_initial_members => $mon_initial_members,
        mon_host => $mon_host,
        osd_pool_default_pg_num => $osd_pool_default_pg_num,
        osd_pool_default_pgp_num => $osd_pool_default_pgp_num,
        osd_pool_default_size => $osd_pool_default_size,
        osd_pool_default_min_size => $osd_pool_default_min_size,
        cluster_network => $cluster_network,
        public_network => $public_network,
        mon_key => $mon_key,
        osd_journal_size => $osd_journal_size,
  } ->
  class { 'ceph::profile::base': } ->
  class { 'ceph::profile::client': } ->
  class { 'ceph::keys': } ->
#
  class { 'iaas::profile::ceilometer::compute': }
}
